# eth-event

Simple tools for Ethereum event decoding and topic generation.

## Installation

```bash
pip install eth-event
```

## Usage

The package includes three functions:

* `get_topics(abi)`: Given a contract ABI, returns a dictionary of `{'event name':"bytes32 encrypted topic"}`
* `get_event_abi(abi)`: Given a contract ABI, returns a dictionary of `{'bytes32 encrypted topic': {'name': "Event Name", 'inputs':[abi inputs]}}`
* `decode_event(event, abi)`: Given an event from a transaction log and an ABI, returns the decoded log values. The ABI may be the normal contract format, or a dictionary generated by `get_event_abi`

## Development

This project is still in development and should be considered an alpha. Comments, questions, criticisms and pull requests are welcomed.

## License

This project is licensed under the [MIT license](LICENSE).